Touchpad not detected on ByteSpeed C15B laptop

Bug #1906128 reported by Tom Anschutz on 2020-11-29
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Status tracked in Hirsute
Xenial
Medium
Po-Hsu Lin
Bionic
Medium
Po-Hsu Lin
Focal
Medium
Po-Hsu Lin
Groovy
Medium
Po-Hsu Lin
Hirsute
Medium
Po-Hsu Lin

Bug Description

[Impact]
Touchpad on a ByteSpeed C15B laptop is not working.
User will need to add i8042.noloop=1 to boot options to make it work.

[Fix]
* a48491c65b513e ("Input: i8042 - add ByteSpeed touchpad to noloop table")

This fix can be cherry-picked into all affected releases.

[Test Case]
Test kernel for Bionic / Focal can be found here:
https://people.canonical.com/~phlin/kernel/lp-1906128-C15B/

And they have been tested with positive test results.

[Where problems could occur]
The fix is just a small and simple hardware quirk. I can't think of any potential problem for now.

== Original Bug Report ==
Touchpad hardware is OK and works for Win10. Not working for live disc, not for 18.04 and not for 20.04 after upgrading. I've attached a Logitech wireless mouse with its USB adapter and that works. Bluetooth is also missing, but I have not started trying to skull that out. I'm happy to help try debugging things, and to help resolve the issue.

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: linux-image-5.4.0-54-generic 5.4.0-54.60
ProcVersionSignature: Ubuntu 5.4.0-54.60-generic 5.4.65
Uname: Linux 5.4.0-54-generic x86_64
ApportVersion: 2.20.11-0ubuntu27.12
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: tom 1395 F.... pulseaudio
 /dev/snd/controlC0: tom 1395 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Sat Nov 28 19:09:05 2020
InstallationDate: Installed on 2020-01-26 (307 days ago)
InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
MachineType: ByteSpeed LLC ByteSpeed Laptop C15B
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.4.0-54-generic root=UUID=07b919ee-c6ad-41a5-9c64-df3c8e477b6f ro quiet splash i8042.reset i8042.nomux i8042.nopnp i8042noloop noapic vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-5.4.0-54-generic N/A
 linux-backports-modules-5.4.0-54-generic N/A
 linux-firmware 1.187.4
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: Upgraded to focal on 2020-11-25 (3 days ago)
dmi.bios.date: 03/18/2014
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: C15B.616
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: C15B
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 1.0
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: ByteSpeed LLC
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrC15B.616:bd03/18/2014:svnByteSpeedLLC:pnByteSpeedLaptopC15B:pvr1.0:rvnPEGATRONCORPORATION:rnC15B:rvr1.0:cvnByteSpeedLLC:ct3:cvrToBeFilledByO.E.M.:
dmi.product.family: PEGA Family
dmi.product.name: ByteSpeed Laptop C15B
dmi.product.sku: 0
dmi.product.version: 1.0
dmi.sys.vendor: ByteSpeed LLC

Tom Anschutz (tom-anschutz) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed

I've tried adding kernel boot switches: i8042.reset i8042.nomux i8042.nopnp i8042noloop

and also noapic. They made no difference.

Tom Anschutz (tom-anschutz) wrote :

Found something for same motherboard but different OEM:

commit 2e2679a168fe1a0a9089e4e401d6a51b26c4f557
Author: Marcos Paulo de Souza <email address hidden>
Date: Sun Dec 18 15:26:12 2016 -0800

    Input: i8042 - add Pegatron touchpad to noloop table

    commit 41c567a5d7d1a986763e58c3394782813c3bcb03 upstream.

    Avoid AUX loopback in Pegatron C15B touchpad, so input subsystem is able
    to recognize a Synaptics touchpad in the AUX port.

    Fixes: https://bugzilla.kernel.org/show_bug.cgi?id=93791
    (Touchpad is not detected on DNS 0801480 notebook (PEGATRON C15B))

    Suggested-by: Dmitry Torokhov <email address hidden>
    Signed-off-by: Marcos Paulo de Souza <email address hidden>
    Signed-off-by: Dmitry Torokhov <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

Tom Anschutz (tom-anschutz) wrote :

Found something for same motherboard but different OEM:

commit 2e2679a168fe1a0a9089e4e401d6a51b26c4f557
Author: Marcos Paulo de Souza <email address hidden>
Date: Sun Dec 18 15:26:12 2016 -0800

    Input: i8042 - add Pegatron touchpad to noloop table

    commit 41c567a5d7d1a986763e58c3394782813c3bcb03 upstream.

    Avoid AUX loopback in Pegatron C15B touchpad, so input subsystem is able
    to recognize a Synaptics touchpad in the AUX port.

    Fixes: https://bugzilla.kernel.org/show_bug.cgi?id=93791
    (Touchpad is not detected on DNS 0801480 notebook (PEGATRON C15B))

    Suggested-by: Dmitry Torokhov <email address hidden>
    Signed-off-by: Marcos Paulo de Souza <email address hidden>
    Signed-off-by: Dmitry Torokhov <email address hidden>
    Signed-off-by: Greg Kroah-Hartman <email address hidden>

______
Following that bug report (93791), I tried adding i8042.noloop=1 to boo options and that *DOES* fix the problem. Perhaps this laptop needs same patch as the other pegatron?

Thanks!

Po-Hsu Lin (cypressyew) wrote :

Hello Tom,
your finding looks promising, I have built two kernels base on that: Bionic 4.15 and Focal 5.4
Could you give them a test to see if this can solve your problem? (Don't forget to remove the i8042.noloop=1 option.)
https://people.canonical.com/~phlin/kernel/lp-1906128-C15B/
Thanks!

Changes for Bionic:
$ git diff
diff --git a/drivers/input/serio/i8042-x86ia64io.h b/drivers/input/serio/i8042-x86ia64io.h
index 51bd2ebaa342..adb8b23a6393 100644
--- a/drivers/input/serio/i8042-x86ia64io.h
+++ b/drivers/input/serio/i8042-x86ia64io.h
@@ -223,6 +223,10 @@ static const struct dmi_system_id __initconst i8042_dmi_noloop_table[] = {
                        DMI_MATCH(DMI_SYS_VENDOR, "PEGATRON CORPORATION"),
                        DMI_MATCH(DMI_PRODUCT_NAME, "C15B"),
                },
+ .matches = {
+ DMI_MATCH(DMI_SYS_VENDOR, "ByteSpeed LLC"),
+ DMI_MATCH(DMI_PRODUCT_NAME, "ByteSpeed Laptop C15B"),
+ },
        },
        { }
 };

Changes for Focal:
$ git diff
diff --git a/drivers/input/serio/i8042-x86ia64io.h b/drivers/input/serio/i8042-x86ia64io.h
index 98f0c7729b75..837911a15e44 100644
--- a/drivers/input/serio/i8042-x86ia64io.h
+++ b/drivers/input/serio/i8042-x86ia64io.h
@@ -219,6 +219,10 @@ static const struct dmi_system_id __initconst i8042_dmi_noloop_table[] = {
                        DMI_MATCH(DMI_SYS_VENDOR, "PEGATRON CORPORATION"),
                        DMI_MATCH(DMI_PRODUCT_NAME, "C15B"),
                },
+ .matches = {
+ DMI_MATCH(DMI_SYS_VENDOR, "ByteSpeed LLC"),
+ DMI_MATCH(DMI_PRODUCT_NAME, "ByteSpeed Laptop C15B"),
+ },
        },
        { }
 };

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
assignee: nobody → Po-Hsu Lin (cypressyew)
Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu,

I installed the Focal kernel (using dpkg -i) then removed the i8042.noloop=1 boot option and rebooted. The touchpad still works, and I confirmed that I was actually running the 5.0.4-57 kernel you provided. Looks really good for Focal.

Would you like me to do the same for the Bionic kernel, or was that just a choice in case I needed it?

Thanks and Very Best Regards!
Tom

Po-Hsu Lin (cypressyew) wrote :

Hi Tom,

Thanks for the test, it will be a plus to verify this on Bionic as well.

I will submit this patch upstream and bring it back to ubuntu kernels.
Cheers

Po-Hsu Lin (cypressyew) on 2020-12-01
summary: - Touchpad not deteced on Bytespeed C15B laptop
+ Touchpad not detected on ByteSpeed C15B laptop
Po-Hsu Lin (cypressyew) on 2020-12-01
Changed in linux (Ubuntu):
status: Incomplete → In Progress
Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu,
I installed the Bionic kernel and booted it. Yes, it is also fixed. 4.15.0-127 works.
Thanks again for your help and Best Regards,
Tom

Po-Hsu Lin (cypressyew) on 2020-12-10
description: updated
Changed in linux (Ubuntu Groovy):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Xenial):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Focal):
assignee: nobody → Po-Hsu Lin (cypressyew)
Changed in linux (Ubuntu Xenial):
status: New → In Progress
Changed in linux (Ubuntu Bionic):
status: New → In Progress
Changed in linux (Ubuntu Focal):
status: New → In Progress
Changed in linux (Ubuntu Groovy):
status: New → In Progress
Stefan Bader (smb) on 2020-12-14
Changed in linux (Ubuntu Hirsute):
importance: Undecided → Medium
Changed in linux (Ubuntu Groovy):
importance: Undecided → Medium
Changed in linux (Ubuntu Focal):
importance: Undecided → Medium
Changed in linux (Ubuntu Bionic):
importance: Undecided → Medium
Changed in linux (Ubuntu Xenial):
importance: Undecided → Medium
Ian (ian-may) on 2020-12-17
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Focal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Groovy):
status: In Progress → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-xenial' to 'verification-done-xenial'. If the problem still exists, change the tag 'verification-needed-xenial' to 'verification-failed-xenial'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-xenial
Tom Anschutz (tom-anschutz) wrote :

Hi - I'm happy to help test if desired. If it's the right thing, I can install and test kernels using these instructions: https://askubuntu.com/questions/700214/how-do-i-install-an-old-kernel

However, I need a clue to exactly which kernels I should test. from https://kernel.ubuntu.com/%7Ekernel-ppa/mainline/ ??

Thanks, Tom

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Po-Hsu Lin (cypressyew) wrote :

Hello Tom,

It will be great if you can help out to verify this.

To do so for Xenial, you will need to install Ubuntu Xenial and enable the "proposed" pocket [1] on it, then dist-upgrade to the latest kernel and reboot to see if it works.

The same applies to other releases, you can verify the version that you can.
Thanks!

[1] https://wiki.ubuntu.com/Testing/EnableProposed

Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu

I spent this evening installing Ubuntu. I tried Xenial, Bionic, Focal and Groovy.

The proposed release worked on Xenial, but not on any of the others.

Just to confirm the process: I installed a fresh copy of the release, then went to the developer options tab in the Software and Updates app and ticked the proposed box. When this was done, the app updated the cache. Then I used Software updater to upgrade and it worked (or not). For the releases that didn't work I also tried using apt from the terminal. Updated and then upgraded. Rebooted and then tested for the trackpad function. Only worked in Xenial.

Let me know if I needed to do something different or to try again.

Regards,
Tom

Download full text (4.6 KiB)

 Hi Po-Hsu,
I spent this evening installing Ubuntu.   I tried Xenial, Bionic, Focal and Groovy.
The proposed release worked on Xenial, but not on any of the others.

Just to confirm the process: I installed a fresh copy of the release, then went to the developer options tab and ticked the proposed box.  Then updated and then upgraded.   Rebooted and then tested for the trackpad function.

Let me know if I needed to do something different or to try again.
Regards,Tom

    On Sunday, January 17, 2021, 10:15:47 PM EST, Po-Hsu Lin <email address hidden> wrote:

 Hello Tom,

It will be great if you can help out to verify this.

To do so for Xenial, you will need to install Ubuntu Xenial and enable
the "proposed" pocket [1] on it, then dist-upgrade to the latest kernel
and reboot to see if it works.

The same applies to other releases, you can verify the version that you can.
Thanks!

[1] https://wiki.ubuntu.com/Testing/EnableProposed

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/1906128

Title:
  Touchpad not detected on ByteSpeed C15B laptop

Status in linux package in Ubuntu:
  In Progress
Status in linux source package in Xenial:
  Fix Committed
Status in linux source package in Bionic:
  Fix Committed
Status in linux source package in Focal:
  Fix Committed
Status in linux source package in Groovy:
  Fix Committed
Status in linux source package in Hirsute:
  In Progress

Bug description:
  [Impact]
  Touchpad on a ByteSpeed C15B laptop is not working.
  User will need to add i8042.noloop=1 to boot options to make it work.

  [Fix]
  * a48491c65b513e ("Input: i8042 - add ByteSpeed touchpad to noloop table")

  This fix can be cherry-picked into all affected releases.

  [Test Case]
  Test kernel for Bionic / Focal can be found here:
  https://people.canonical.com/~phlin/kernel/lp-1906128-C15B/

  And they have been tested with positive test results.

  [Where problems could occur]
  The fix is just a small and simple hardware quirk. I can't think of any potential problem for now.

  == Original Bug Report ==
  Touchpad hardware is OK and works for Win10.  Not working for live disc, not for 18.04 and not for 20.04 after upgrading.  I've attached a Logitech wireless mouse with its USB adapter and that works.  Bluetooth is also missing, but I have not started trying to skull that out.  I'm happy to help try debugging things, and to help resolve the issue.

  ProblemType: Bug
  DistroRelease: Ubuntu 20.04
  Package: linux-image-5.4.0-54-generic 5.4.0-54.60
  ProcVersionSignature: Ubuntu 5.4.0-54.60-generic 5.4.65
  Uname: Linux 5.4.0-54-generic x86_64
  ApportVersion: 2.20.11-0ubuntu27.12
  Architecture: amd64
  AudioDevicesInUse:
   USER        PID ACCESS COMMAND
   /dev/snd/controlC1:  tom        1395 F.... pulseaudio
   /dev/snd/controlC0:  tom        1395 F.... pulseaudio
  CasperMD5CheckResult: skip
  CurrentDesktop: ubuntu:GNOME
  Date: Sat Nov 28 19:09:05 2020
  InstallationDate: Installed on 2020-01-26 (307 days ago)
  InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
  MachineType: ByteSpeed LLC ByteSpeed Laptop C15B
  ProcEnvi...

Read more...

Po-Hsu Lin (cypressyew) wrote :

Hello Tom,

Yes you're doing it right, just reboot after upgrading your system it should be working.

I will mark it as verification-done-xenial based on your test result.
The kernel in the proposed pocket for Bionic is 4.15.0-133.137, can you double check with command "uname -a" in a terminal?

For F/G, they're not ready yet, you will see a comment from "Ubuntu Kernel Bot" on this bug along with a verification-needed-XXXX tag when they have reached in the proposed pocket.

Thanks for your time!

tags: added: verification-done-xenial
removed: verification-needed-xenial
Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu,
Maybe I'm installing the wrong Bionic? I've installed ubuntu-18.04.5-desktop-amd64.iso. That gives me kernel 5.4.0-62 before proposed, and 5.4.0-64 after enabling proposed.
Thanks,
Tom

Po-Hsu Lin (cypressyew) wrote :

Ohh,
right, you will need 18.04.1, which comes with the 4.15 kernel.
http://old-releases.ubuntu.com/releases/18.04.1/
Thanks!

Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu,
That one worked. Freshly installed, I had 4.15.0-29 and after enabling proposed and upgrading I was left with 4.15.0-135 That kernel worked just fine.
How long until I can expect to see the proposed kernels for Focal/Groovy?
Thanks and Regards,
Tom

Po-Hsu Lin (cypressyew) on 2021-01-22
tags: added: verification-done-bionic
removed: verification-needed-bionic
Po-Hsu Lin (cypressyew) wrote :

Hi Tom,
that's awesome.
For F/G I am not sure about the release schedule. But this commit has already landed on these two kernels. Should be ready soon.

Thank you.

Launchpad Janitor (janitor) wrote :
Download full text (6.1 KiB)

This bug was fixed in the package linux - 4.15.0-135.139

---------------
linux (4.15.0-135.139) bionic; urgency=medium

  * bionic/linux: 4.15.0-135.139 -proposed tracker (LP: #1912223)

  * [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors
    config: (LP: #1908219)
    - qxl: remove qxl_io_log()
    - qxl: move qxl_send_monitors_config()
    - qxl: hook monitors_config updates into crtc, not encoder.

  * Touchpad not detected on ByteSpeed C15B laptop (LP: #1906128)
    - Input: i8042 - add ByteSpeed touchpad to noloop table

  * vmx_nm_test in ubuntu_kvm_unit_tests interrupted on X-oracle-4.15 /
    B-oracle-4.15 / X-KVM / B-KVM (LP: #1872401)
    - KVM: nVMX: Always reflect #NM VM-exits to L1

  * stack trace in kernel (LP: #1903596)
    - net: napi: remove useless stack trace

  * CVE-2020-27777
    - [Config]: Set CONFIG_PPC_RTAS_FILTER

  * Bionic update: upstream stable patchset 2020-12-04 (LP: #1906875)
    - regulator: defer probe when trying to get voltage from unresolved supply
    - ring-buffer: Fix recursion protection transitions between interrupt context
    - time: Prevent undefined behaviour in timespec64_to_ns()
    - nbd: don't update block size after device is started
    - btrfs: sysfs: init devices outside of the chunk_mutex
    - btrfs: reschedule when cloning lots of extents
    - genirq: Let GENERIC_IRQ_IPI select IRQ_DOMAIN_HIERARCHY
    - hv_balloon: disable warning when floor reached
    - net: xfrm: fix a race condition during allocing spi
    - perf tools: Add missing swap for ino_generation
    - ALSA: hda: prevent undefined shift in snd_hdac_ext_bus_get_link()
    - can: rx-offload: don't call kfree_skb() from IRQ context
    - can: dev: can_get_echo_skb(): prevent call to kfree_skb() in hard IRQ
      context
    - can: dev: __can_get_echo_skb(): fix real payload length return value for RTR
      frames
    - can: can_create_echo_skb(): fix echo skb generation: always use skb_clone()
    - can: peak_usb: add range checking in decode operations
    - can: peak_usb: peak_usb_get_ts_time(): fix timestamp wrapping
    - can: peak_canfd: pucan_handle_can_rx(): fix echo management when loopback is
      on
    - xfs: flush new eof page on truncate to avoid post-eof corruption
    - Btrfs: fix missing error return if writeback for extent buffer never started
    - ath9k_htc: Use appropriate rs_datalen type
    - usb: gadget: goku_udc: fix potential crashes in probe
    - gfs2: Free rd_bits later in gfs2_clear_rgrpd to fix use-after-free
    - gfs2: Add missing truncate_inode_pages_final for sd_aspace
    - gfs2: check for live vs. read-only file system in gfs2_fitrim
    - scsi: hpsa: Fix memory leak in hpsa_init_one()
    - drm/amdgpu: perform srbm soft reset always on SDMA resume
    - mac80211: fix use of skb payload instead of header
    - cfg80211: regulatory: Fix inconsistent format argument
    - scsi: scsi_dh_alua: Avoid crash during alua_bus_detach()
    - iommu/amd: Increase interrupt remapping table limit to 512 entries
    - pinctrl: intel: Set default bias in case no particular value given
    - ARM: 9019/1: kprobes: Avoid fortify_panic() when copying optprobe template
    - ...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package linux - 4.4.0-201.233

---------------
linux (4.4.0-201.233) xenial; urgency=medium

  * xenial/linux: 4.4.0-201.233 -proposed tracker (LP: #1911265)

  * Touchpad not detected on ByteSpeed C15B laptop (LP: #1906128)
    - Input: i8042 - add ByteSpeed touchpad to noloop table

  * stack trace in kernel (LP: #1903596)
    - net: napi: remove useless stack trace

  * CVE-2020-27777
    - powerpc/rtas: Restrict RTAS requests from userspace
    - [Config]: Set CONFIG_PPC_RTAS_FILTER

  * Xenial update: v4.4.247 upstream stable release (LP: #1906703)
    - btrfs: tree-checker: Enhance chunk checker to validate chunk profile
    - btrfs: inode: Verify inode mode to avoid NULL pointer dereference
    - HID: cypress: Support Varmilo Keyboards' media hotkeys
    - Input: i8042 - allow insmod to succeed on devices without an i8042
      controller
    - HID: hid-sensor-hub: Fix issue with devices with no report ID
    - x86/xen: don't unbind uninitialized lock_kicker_irq
    - proc: don't allow async path resolution of /proc/self components
    - dmaengine: pl330: _prep_dma_memcpy: Fix wrong burst size
    - scsi: libiscsi: Fix NOP race condition
    - scsi: target: iscsi: Fix cmd abort fabric stop race
    - scsi: ufs: Fix race between shutdown and runtime resume flow
    - bnxt_en: fix error return code in bnxt_init_board()
    - video: hyperv_fb: Fix the cache type when mapping the VRAM
    - bnxt_en: Release PCI regions when DMA mask setup fails during probe.
    - IB/mthca: fix return value of error branch in mthca_init_cq()
    - nfc: s3fwrn5: use signed integer for parsing GPIO numbers
    - efivarfs: revert "fix memory leak in efivarfs_create()"
    - perf probe: Fix to die_entrypc() returns error correctly
    - USB: core: Change %pK for __user pointers to %px
    - x86/speculation: Fix prctl() when spectre_v2_user={seccomp,prctl},ibpb
    - USB: core: add endpoint-blacklist quirk
    - USB: core: Fix regression in Hercules audio card
    - btrfs: fix lockdep splat when reading qgroup config on mount
    - Linux 4.4.247

  * Xenial update: v4.4.246 upstream stable release (LP: #1906700)
    - ah6: fix error return code in ah6_input()
    - atm: nicstar: Unmap DMA on send error
    - net: b44: fix error return code in b44_init_one()
    - net: bridge: add missing counters to ndo_get_stats64 callback
    - netlabel: fix our progress tracking in netlbl_unlabel_staticlist()
    - netlabel: fix an uninitialized warning in netlbl_unlabel_staticlist()
    - net/mlx4_core: Fix init_hca fields offset
    - net: x25: Increase refcnt of "struct x25_neigh" in x25_rx_call_request
    - qlcnic: fix error return code in qlcnic_83xx_restart_hw()
    - sctp: change to hold/put transport for proto_unreach_timer
    - net: usb: qmi_wwan: Set DTR quirk for MR400
    - net: Have netpoll bring-up DSA management interface
    - pinctrl: rockchip: enable gpio pclk for rockchip_gpio_to_irq
    - arm64: psci: Avoid printing in cpu_psci_cpu_die()
    - MIPS: Fix BUILD_ROLLBACK_PROLOGUE for microMIPS
    - Input: adxl34x - clean up a data type in adxl34x_probe()
    - arm: dts: imx6qdl-udoo: fix rgmii phy-mode for ksz9031 phy
    - ARM: ...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-groovy' to 'verification-done-groovy'. If the problem still exists, change the tag 'verification-needed-groovy' to 'verification-failed-groovy'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-groovy
Tom Anschutz (tom-anschutz) wrote :

Hi, I loaded groovy, enabled proposed, and the new kernel works just fine. There were other problems with this install. I let the installer update while installing, and that failed bad. I had to tell grub to boot the previous kernel. I let the reporting app send those details.

But, after rebooting with 5.8.0-25 and then upgrading, I got a working system with 5.8.0-42.

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-focal' to 'verification-done-focal'. If the problem still exists, change the tag 'verification-needed-focal' to 'verification-failed-focal'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-focal
Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu,

Just reiterating that Groovy checked out fine. I did not see a proposed kernel for Focal, even through the Bot said to try it. I get kernel 5.8.0-43 both before and after enabling proposed. Am I missing something again, like with Bionic? It seems that regardless of the 20.04.* I install I always end up with the 5.8.0-43 kernel.

Thanks,
Tom

Tom Anschutz (tom-anschutz) wrote :

Hi Po-Hsu,

Happy New Year. I guess I was just too eager. Today I saw an update to a proposed kernel in focal. That kernel was 5.8.0-44 and it works just fine. So you can mark all of these as good to go.

Regards,
Tom

Updated Focal and Groovy verification testing to done. Thank you Tom for testing! :)

tags: added: verification-done-focal verification-done-groovy
removed: verification-needed-focal verification-needed-groovy
Po-Hsu Lin (cypressyew) wrote :

Thank you Tom for all your hard work! Much appreciated.
Happy mooo year!

Launchpad Janitor (janitor) wrote :
Download full text (60.8 KiB)

This bug was fixed in the package linux - 5.4.0-66.74

---------------
linux (5.4.0-66.74) focal; urgency=medium

  * focal/linux: 5.4.0-66.74 -proposed tracker (LP: #1913152)

  * Add support for selective build of special drivers (LP: #1912789)
    - [Packaging] Add support for ODM drivers
    - [Packaging] Turn on ODM support for amd64

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * kvm: Windows 2k19 with Hyper-v role gets stuck on pending hypervisor
    requests on cascadelake based kvm hosts (LP: #1911848)
    - KVM: x86: Set KVM_REQ_EVENT if run is canceled with req_immediate_exit set

  * Ubuntu 20.10 four needed fixes to 'Add driver for Mellanox Connect-IB
    adapters' (LP: #1905574)
    - net/mlx5: Fix a race when moving command interface to polling mode

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron / ByteSpeed C15B (LP: #1910639)
    - Input: i8042 - unbreak Pegatron C15B

  * CVE-2020-29372
    - mm: check that mm is still valid in madvise()

  * update ENA driver, incl. new ethtool stats (LP: #1910291)
    - net: ena: Change WARN_ON expression in ena_del_napi_in_range()
    - net: ena: ethtool: convert stat_offset to 64 bit resolution
    - net: ena: eth...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (129.8 KiB)

This bug was fixed in the package linux - 5.8.0-44.50

---------------
linux (5.8.0-44.50) groovy; urgency=medium

  * groovy/linux: 5.8.0-44.50 -proposed tracker (LP: #1914805)

  * Packaging resync (LP: #1786013)
    - update dkms package versions
    - update dkms package versions

  * Introduce the new NVIDIA 460-server series and update the 460 series
    (LP: #1913200)
    - [Config] dkms-versions -- drop NVIDIA 435 455 and 440-server
    - [Config] dkms-versions -- add the 460-server nvidia driver

  * [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - Revert "UBUNTU: SAUCE: e1000e: bump up timeout to wait when ME un-configure
      ULP mode"
    - e1000e: Only run S0ix flows if shutdown succeeded
    - Revert "e1000e: disable s0ix entry and exit flows for ME systems"
    - e1000e: Export S0ix flags to ethtool

  * suspend only works once on ThinkPad X1 Carbon gen 7 (LP: #1865570) //
    [SRU][G/H/U/OEM-5.10] re-enable s0ix of e1000e (LP: #1910541)
    - e1000e: bump up timeout to wait when ME un-configures ULP mode

  * Cannot probe sata disk on sata controller behind VMD: ata1.00: failed to
    IDENTIFY (I/O error, err_mask=0x4) (LP: #1894778)
    - PCI: vmd: Offset Client VMD MSI-X vectors

  * Enable mute and micmute LED on HP EliteBook 850 G7 (LP: #1910102)
    - ALSA: hda/realtek: Enable mute and micmute LED on HP EliteBook 850 G7

  * SYNA30B4:00 06CB:CE09 Mouse on HP EliteBook 850 G7 not working at all
    (LP: #1908992)
    - HID: multitouch: Enable multi-input for Synaptics pointstick/touchpad device

  * HD Audio Device PCI ID for the Intel Cometlake-R platform (LP: #1912427)
    - SAUCE: ALSA: hda: Add Cometlake-R PCI ID

  * switch to an autogenerated nvidia series based core via dkms-versions
    (LP: #1912803)
    - [Packaging] nvidia -- use dkms-versions to define versions built
    - [Packaging] update-version-dkms -- maintain flags fields
    - [Config] dkms-versions -- add transitional/skip information for nvidia
      packages

  * udpgro.sh in net from ubuntu_kernel_selftests seems not reflecting sub-test
    result (LP: #1908499)
    - selftests: fix the return value for UDP GRO test

  * [UBUNTU 21.04] vfio: pass DMA availability information to userspace
    (LP: #1907421)
    - vfio/type1: Refactor vfio_iommu_type1_ioctl()
    - vfio iommu: Add dma available capability

  * qede: Kubernetes Internal DNS Failure due to QL41xxx NIC not supporting IPIP
    tx csum offload (LP: #1909062)
    - qede: fix offload for IPIP tunnel packets

  * Use DCPD to control HP DreamColor panel (LP: #1911001)
    - SAUCE: drm/dp: Another HP DreamColor panel brigntness fix

  * Fix right sounds and mute/micmute LEDs for HP ZBook Fury 15/17 G7 Mobile
    Workstation (LP: #1910561)
    - ALSA: hda/realtek: fix right sounds and mute/micmute LEDs for HP machines

  * Ubuntu 20.04 - multicast counter is not increased in ip -s (LP: #1901842)
    - net/mlx5e: Fix multicast counter not up-to-date in "ip -s"

  * eeh-basic.sh in powerpc from ubuntu_kernel_selftests timeout with 5.4 P8 /
    P9 (LP: #1882503)
    - selftests/powerpc/eeh: disable kselftest timeout setting for eeh-basic

  * DMI entry syntax fix for Pegatron /...

Changed in linux (Ubuntu Groovy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.